Create a contact custom field
curl --request POST \
--url https://api.amplify.xyz/v1/contacts/custom-field/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "New customers field",
"contact_type": "patient",
"validation": "string_only",
"contact_group_ids": [
453
]
}
'import requests
url = "https://api.amplify.xyz/v1/contacts/custom-field/create"
payload = {
"label": "New customers field",
"contact_type": "patient",
"validation": "string_only",
"contact_group_ids": [453]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: 'New customers field',
contact_type: 'patient',
validation: 'string_only',
contact_group_ids: [453]
})
};
fetch('https://api.amplify.xyz/v1/contacts/custom-field/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 1,
"message": "Custom field created successfully"
}{
"status": 0,
"message": "The label field is required."
}Custom Fields
Create a contact custom field
Customer API v1 endpoint.
POST
/
v1
/
contacts
/
custom-field
/
create
Create a contact custom field
Create a contact custom field. Authenticate with a Bearer access token unless the endpoint is the authentication token exchange.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
